Skip to main content
POST
/
workspaces
/
{workspace_id}
/
tables
/
import
Error
A valid request URL is required to generate request examples
{
  "table": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "columns": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "nullable": true,
        "default": null,
        "is_index": false,
        "options": [
          "<string>"
        ]
      }
    ]
  },
  "rows_inserted": 123,
  "column_mapping": [
    {
      "csv_header": "<string>",
      "field_name": "<string>"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Body

multipart/form-data
file
string
required
table_name
string | null

Response

Successful Response

Response model for importing a table from CSV.

table
TableRead · object
required

Read model for a table.

rows_inserted
integer
required
column_mapping
InferredColumn · object[]
required